## DzlSuggestionEntryBuffer

DzlSuggestionEntryBuffer

## Functions

DzlSuggestionEntryBuffer * | dzl_suggestion_entry_buffer_new ()
DzlSuggestion * | dzl_suggestion_entry_buffer_get_suggestion ()
void | dzl_suggestion_entry_buffer_set_suggestion ()
const gchar * | dzl_suggestion_entry_buffer_get_typed_text ()
guint | dzl_suggestion_entry_buffer_get_typed_length ()
void | dzl_suggestion_entry_buffer_commit ()
void | dzl_suggestion_entry_buffer_clear ()

## Properties

DzlSuggestion * | suggestion | Read / Write

## Types and Values

#define | DZL_TYPE_SUGGESTION_ENTRY_BUFFER
struct | DzlSuggestionEntryBufferClass
| DzlSuggestionEntryBuffer

## Object Hierarchy

        GObject
        ╰── GtkEntryBuffer
            ╰── DzlSuggestionEntryBuffer

## Description

## Functions

### dzl_suggestion_entry_buffer_new ()

    DzlSuggestionEntryBuffer *
    dzl_suggestion_entry_buffer_new (void);

### dzl_suggestion_entry_buffer_get_suggestion ()

    DzlSuggestion *
    dzl_suggestion_entry_buffer_get_suggestion
                                   (DzlSuggestionEntryBuffer *self);

Gets the DzlSuggestion that is the current "preview suffix" of the text in the entry.

#### Parameters

self | a DzlSuggestionEntryBuffer |

#### Returns

An DzlSuggestion or `NULL`.

[transfer none][nullable]

### dzl_suggestion_entry_buffer_set_suggestion ()

    void
    dzl_suggestion_entry_buffer_set_suggestion
                                   (DzlSuggestionEntryBuffer *self,
                                    DzlSuggestion *suggestion);

Sets the current suggestion for the entry buffer.

The suggestion is used to get a potential suffix for the current entry text. This allows the entry to show "preview text" after the entered text for what might be inserted should they activate the current item.

#### Parameters

self | a DzlSuggestionEntryBuffer |
suggestion | An DzlSuggestion or `NULL`. | [nullable]

### dzl_suggestion_entry_buffer_get_typed_text ()

    const gchar *
    dzl_suggestion_entry_buffer_get_typed_text
                                   (DzlSuggestionEntryBuffer *self);

### dzl_suggestion_entry_buffer_get_typed_length ()

    guint
    dzl_suggestion_entry_buffer_get_typed_length
                                   (DzlSuggestionEntryBuffer *self);

### dzl_suggestion_entry_buffer_commit ()

    void
    dzl_suggestion_entry_buffer_commit (DzlSuggestionEntryBuffer *self);

### dzl_suggestion_entry_buffer_clear ()

    void
    dzl_suggestion_entry_buffer_clear (DzlSuggestionEntryBuffer *self);

## Types and Values

### DZL_TYPE_SUGGESTION_ENTRY_BUFFER

    #define DZL_TYPE_SUGGESTION_ENTRY_BUFFER (dzl_suggestion_entry_buffer_get_type())

### struct DzlSuggestionEntryBufferClass

    struct DzlSuggestionEntryBufferClass {
      GtkEntryBufferClass parent_class;

      gpointer _reserved1;
      gpointer _reserved2;
      gpointer _reserved3;
      gpointer _reserved4;
    };

### DzlSuggestionEntryBuffer

    typedef struct _DzlSuggestionEntryBuffer DzlSuggestionEntryBuffer;

## Property Details

### The `“suggestion”` property

      “suggestion”               DzlSuggestion *

The suggestion currently selected.

Owner: DzlSuggestionEntryBuffer

Flags: Read / Write